PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- nw_scale_rgb

# nw_scale_rgb

pydl.pydlutils.rgbcolor.nw_scale_rgb(colors, scales=(1.0, 1.0, 1.0))

  Multiply RGB image by color-dependent scale factor.

  Parameters
    colors `ndarray`

      3D Array containing RGB image. The dimensions should be (X, Y, 3).

    scales `tuple` or `ndarray`, optional

      An array with 3 elements.

  Returns
    `ndarray`

      The scaled image.

  Raises
    `ValueError`

      If `colors` or `scales` has the wrong shape.